> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Danh sách chứng khoán

> Lấy danh sách chứng khoán theo điều kiện lọc. Khách chỉ được phép cung cấp một trong ba tham số symbol, board hoặc index để lọc danh sách chứng khoán.



## OpenAPI

````yaml /vi/openapi/ssi.openapi.yaml get /api/v3/data/securitiesByBoard
openapi: 3.1.2
info:
  title: SSI FastConnect Open API
  version: 3.0.0
servers:
  - url: https://api.ssi.com.vn
    description: Production
security:
  - SsiBearerAuth: []
tags:
  - name: authentication
    description: Xác thực và quản lý token.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản giao dịch.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu thị trường.
    x-group: Dữ liệu thị trường
  - name: trading
    description: Giao dịch và quản lý lệnh.
    x-group: Giao dịch
  - name: conditional-orders
    description: Lệnh điều kiện.
    x-group: Lệnh điều kiện
paths:
  /api/v3/data/securitiesByBoard:
    get:
      tags:
        - market-data
      summary: Danh sách chứng khoán
      description: >-
        Lấy danh sách chứng khoán theo điều kiện lọc. Khách chỉ được phép cung
        cấp một trong ba tham số symbol, board hoặc index để lọc danh sách chứng
        khoán.
      operationId: getSecuritiesByBoard
      parameters:
        - name: symbol
          in: query
          description: >-
            Mã chứng khoán cần truy vấn. Chỉ cung cấp một trong ba tham số
            symbol, board hoặc index.
          required: false
          schema:
            type: string
        - name: board
          in: query
          description: >-
            Mã sàn cần lấy danh sách chứng khoán. Giá trị có thể là `HOSE`,
            `HNX`, hoặc `UPCOM`.
          required: false
          schema:
            type: string
        - name: index
          in: query
          description: Mã chỉ số cần lấy danh sách chứng khoán.
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/UserAgent'
        - $ref: '#/components/parameters/AcceptLanguage'
      responses:
        '200':
          description: Thành công.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SecurityItem'
              example:
                - symbol: ACB
                  symbolNameVi: Ngân hàng Thương mại Cổ phần Á Châu
                  symbolNameEn: Asia Commercial Joint Stock Bank
                  board: HOSE
                  lotSize: '100'
                  maturityDate: ''
                  firstTradingDate: ''
                  lastTradingDate: ''
                  cwUnderlyingSymbol: null
                  cwExercisePrice: '0'
                  cwExecutionRatio: '0'
                  listedShare: '5804421957'
                  icbCode: '8355'
                  icbName: Ngân hàng
                  iIndex: null
                  iNav: null
                  openInterest: null
                  settlementPrice: null
                - symbol: BID
                  symbolNameVi: Ngân hàng Thương mại Cổ phần Đầu tư và Phát triển Việt Nam
                  symbolNameEn: >-
                    Joint Stock Commercial Bank for Investment and Development
                    of Vietnam
                  board: HOSE
                  lotSize: '100'
                  maturityDate: ''
                  firstTradingDate: ''
                  lastTradingDate: ''
                  cwUnderlyingSymbol: null
                  cwExercisePrice: '0'
                  cwExecutionRatio: '0'
                  listedShare: '7280065210'
                  icbCode: '8355'
                  icbName: Ngân hàng
                  iIndex: null
                  iNav: null
                  openInterest: null
                  settlementPrice: null
                - symbol: GAS
                  symbolNameVi: Tổng Công ty Khí Việt Nam - Công ty Cổ phần
                  symbolNameEn: PetroVietnam Gas Joint Stock Corporation
                  board: HOSE
                  lotSize: '100'
                  maturityDate: ''
                  firstTradingDate: ''
                  lastTradingDate: ''
                  cwUnderlyingSymbol: null
                  cwExercisePrice: '0'
                  cwExecutionRatio: '0'
                  listedShare: '2412949756'
                  icbCode: '7573'
                  icbName: Phân phối xăng dầu & khí đốt
                  iIndex: null
                  iNav: null
                  openInterest: null
                  settlementPrice: null
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - SsiBearerAuth: []
components:
  parameters:
    ContentType:
      name: Content-Type
      in: header
      required: true
      description: Định dạng nội dung request body. Chủ yếu là application/json.
      schema:
        type: string
        default: application/json
    UserAgent:
      name: User-Agent
      in: header
      required: false
      description: Thông tin client gửi request.
      schema:
        type: string
    AcceptLanguage:
      name: Accept-Language
      in: header
      required: false
      description: >-
        Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc
        định là en
      schema:
        type: string
        default: en
  schemas:
    SecurityItem:
      type: object
      properties:
        symbol:
          description: Mã chứng khoán hoặc mã hợp đồng phái sinh.
          type: string
        symbolNameVi:
          description: Tên chứng khoán bằng tiếng Việt.
          type: string
        symbolNameEn:
          description: Tên chứng khoán bằng tiếng Anh.
          type: string
        board:
          description: Mã sàn giao dịch.
          type: string
          enum:
            - HOSE
            - HNX
            - UPCOM
        lotSize:
          description: Đơn vị giao dịch lô chẵn.
          type: string
        maturityDate:
          description: Ngày đáo hạn.
          type: string
        firstTradingDate:
          description: Ngày giao dịch đầu tiên.
          type: string
        lastTradingDate:
          description: Ngày giao dịch cuối cùng.
          type: string
        cwUnderlyingSymbol:
          description: Mã chứng khoán cơ sở của chứng quyền.
          type:
            - string
            - 'null'
        cwExercisePrice:
          description: Giá thực hiện của chứng quyền.
          type: string
        cwExecutionRatio:
          description: Tỷ lệ thực hiện của chứng quyền.
          type: string
        listedShare:
          description: Số lượng cổ phiếu niêm yết.
          type: string
        icbCode:
          description: Mã ngành ICB.
          type: string
        icbName:
          description: Tên ngành ICB.
          type: string
        iIndex:
          description: Chỉ số IIndex.
          type:
            - string
            - 'null'
        iNav:
          description: Giá trị iNAV.
          type:
            - string
            - 'null'
        openInterest:
          description: Khối lượng mở.
          type:
            - string
            - 'null'
        settlementPrice:
          description: Giá thanh toán.
          type:
            - string
            - 'null'
    ErrorResponse:
      type: object
      properties:
        code:
          description: Mã kết quả hoặc mã xác thực giao dịch.
          type: string
        msg:
          description: Thông báo kết quả xử lý.
          type: string
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Chưa được xác thực hoặc token không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalError:
      description: Lỗi nội bộ máy chủ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    SsiBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Access token lấy từ endpoint /api/v3/auth/token hoặc
        /api/v3/auth/refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.